// Persistence of Vision Ray Tracer Scene Description File
// File: cloudtest2.pov
// Vers: Megapov 1.21
// Desc: Sunset media clouds
// Date: 04/20/06
// Auth: Abe Madey
//

#version unofficial megapov 1.21;

global_settings{ 
 max_trace_level 100
 exposure 1
 exposure_gain 1   
 //assumed_gamma 1.0
}



#declare SceneCam =
camera {
  location  <0.0, 0.01, 0>
  direction z
  right     x*image_width/image_height
  look_at   z
  rotate <-15, -30, 0>  
  angle 50
}  

camera{SceneCam }

#declare SceneSky=
sky_sphere {
  pigment {
    gradient y
    color_map {
      [0.0 rgb <0.6,0.7,1.0>]
      [0.7 rgb <0.2824,0.6588,0.984>]
    }
  }
}                 


sky_sphere{SceneSky}
 
//-----------------------------------------
#declare Sun_alt=2;
#declare Sun_azm=0;

#declare Sun=
light_source {
  z*10e6
  color rgb <1, 1, 1>*3
  rotate <-Sun_alt, Sun_azm,0>
  //rotate -x*20
}


light_source{Sun}
// ----------------------------------------
#declare ground=
sphere{
 -y*(10e5), 10e5   
 pigment{rgb <0.4000,0.3412,0.1961>}
} 
object{ground}

#macro MediaSampleParams() method 3 samples 12 jitter .5 #end
#declare atm_shell=
sphere{
 0, 100
 scale <1,.039999, 1>
 hollow
 pigment {rgbt 1}
 interior{
  media{
   scattering{1 rgb .01*<1,.8, .6> extinction 0}
  // absorption rgb .2 
   //emission rgb .025
   MediaSampleParams()
  }
  media{
   scattering{3 rgb .00001 extinction 0}
   absorption rgb .05*<.01,.40, .95> 
   emission rgb .03*<0.9529,0.9412,0.6863>
   MediaSampleParams()
  }
 }
}

object{atm_shell}

#declare cloud_shell=
difference{
 sphere{-y*(10e5), 10e5+2.17}
 sphere{-y*(10e5), 10e5+2} 
 hollow
 pigment{rgbt 1} 
 interior{
   media{
   scattering{1, rgb 2*<1,.85,.9> extinction 0}
   absorption rgb 2  
   emission rgb .5*<0.3063,0.3333,0.45>
   MediaSampleParams()
   density{
    granite  
    scale 50
    scale 1/10 warp{turbulence 2 lambda 3 octaves 8}  scale 10  
    scale 2   
    translate <-1,0,-1>
    color_map{[.39 rgb 0][.46 rgb 1]}
   }
  }
 }
}

object{cloud_shell}






